#!/bin/bash

shellfu import pretty

bmo_qtask__test__check() {
    #
    # Pick plugin
    #
    false   # never: this is a special test plugin which
            # needs to be explicitly called
}

bmo_qtask__test__p_echo() {
    #
    # Print TTDL line $@ but then also PROJECT:$Project
    #
    local line=$*
    local prefix
    prefix=${line%%TITLE:*}
    echo "$line"
    echo "${prefix}PROJECT:test.$Project"
}

bmo_qtask__test__define() {
    #
    # Print task definition
    #
    local Project
    local pecho=bmo_qtask__test__p_echo
    case $BMO_QTASK_DATA in

        case:ul)
            #
            # Clean up your life
            # ==================
            #
            #  * Give up smoking
            #  * Pay debt to Jane
            #  * Pay debt to Joe
            #  * Start working out
            #
            Project="clean_up_life"
            $pecho 'TITLE:Clean up your life'
            $pecho '%1:TITLE:Give up smoking'
            $pecho '%2:TITLE:Pay debt to Joe'
            $pecho '%3:TITLE:Start working out'
            ;;
        case:ol)

            #
            # count to three
            # ==============
            #
            # 1. say "один"
            # 2. say "kettő"
            # 3. say "tři"
            #
            Project="count3"
            $pecho 'TITLE:count to three'
            $pecho '%1:TITLE:say "tři"'
            $pecho '%1:%1:TITLE:say "kettő"'
            $pecho '%1:%1:%1:TITLE:say "один"'
            ;;

        case:ulolul)
            #
            # Noidea
            # ======
            #
            #  *  foo
            #      1. foo1
            #      2. foo2
            #  *  bar
            #      1. bar1
            #          *  bar1a
            #          *  bar1b
            #      2. bar2
            #  *  baz
            #
            Project="noidea"
            $pecho 'TITLE:No idea'
            $pecho '%1:TITLE:foo'
            $pecho '%1:%1:TITLE:foo2'
            $pecho '%1:%1:%1:TITLE:foo1'
            $pecho '%2:TITLE:bar'
            $pecho '%2:%1:TITLE:bar2'
            $pecho '%2:%1:%1:TITLE:bar1'
            $pecho '%2:%1:%1:%1:TITLE:bar1a'
            $pecho '%2:%1:%1:%2:TITLE:bar1b'
            $pecho '%3:TITLE:baz'
            ;;

        *)
            warn "unknown test case: $BMO_QTASK_DATA"
            ;;

    esac
}

