#!/bin/bash

shellfu import pretty

bmo_qtask_gcalsubj__check() {
    grep -qx 'Invitation: .* @ .*'
}

bmo_qtask_gcalsubj__define() {
    #
    # Print task definition
    #
    local due
    echo -n TITLE:
    sed '
        s/^Invitation: //
        s/ @ .*//
    ' <<<"$BMO_QTASK_DATA"
    echo "ANNOTATION:$BMO_QTASK_DATA"
    due=$(
        D='[0-9]'            # digit
        N='[A-Z][a-z][a-z]'  # short day name
        echo "$BMO_QTASK_DATA" \
          | grep -o "@ $N $D$D$D$D-$D$D-$D$D $D$D:$D$D" \
          | cut -d' ' -f3-4 \
          | tr ' ' T
    )
    debug -v due
    test -n "$due" || {
        warn "could not parse due date: $BMO_QTASK_DATA"
        return 3
    }
    echo "DUE:$due"
    echo "TAG:mtg"
    echo "TAG:rh"
}
